%define origname commons-fileupload

Name: jakarta-%origname
Version: 1.0
Release: alt2

%def_enable check

Summary: Jakarta Commons FileUpload Package
Group: Development/Java
License: Apache
Url: http://jakarta.apache.org/commons/fileupload/

Source: http://www.apache.org/dist/jakarta/commons/fileupload/source/%origname-%version-src.tar.bz2
Patch1: %name-build.xml.patch

BuildArch: noarch

BuildPreReq: rpm-build-java
BuildRequires: j2se-devel ant
BuildRequires: servletapi >= 2.3
%if_enabled check
BuildRequires: junit ant-junit
%endif
AutoProv: yes, nolib

%description
The Commons FileUpload package makes it easy to add robust,
high-performance, file upload capability to your servlets and web
applications.

FileUpload parses HTTP requests which conform to RFC 1867 ,
"Form-based File Upload in HTML". That is, if an HTTP request is
submitted using the POST method, and with a content type of
"multipart/form-data", then FileUpload can parse that request, and
make the results available in a manner easily used by the caller.

%package javadoc
Summary: Javadoc for Jakarta Commons FileUpload
Group: Development/Java

%description javadoc
Javadoc-generated API documentation for Jakarta Commons FileUpload.

%prep
%setup -q -n %origname-%version
%patch1 -b .orig-build

%build
ant dist
%if_enabled check
ant test
%endif

%install
%__mkdir_p %buildroot%_javadir
%__install -p -m644 dist/%origname.jar %buildroot%_javadir/%name.jar
%__install -d -m755 %buildroot%_javadocdir/%name
%__cp -a dist/docs/api/* %buildroot%_javadocdir/%name/

%files
%doc dist/*.txt
%_javadir/*.jar

%files javadoc
%_javadocdir/%name

%changelog
* Mon Dec 27 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0-alt2
- Use rpm-build-java macros
- Updated Patch1 to use the generic servletapi.jar alternative

* Sat Aug 07 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0-alt1.1
- More spec cleanup

* Tue Dec 02 2003 Alexey Borovskoy <alb@altlinux.ru> 1.0-alt1
- First build for ALTLinux
- Spec cleanup

* Sat Jun 28 2003 Ville Skytt <ville.skytta at iki.fi> - 1:1.0-1jpp
- Update to 1.0.
- Add Epochs to dependencies.
- Nuke beanutils dependency.
- Versionless javadoc dir symlinks.

* Tue Mar 25 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> - 1:1.0-0.beta1.4jpp
- for jpackage-utils 1.5

* Mon Mar 10 2003 Henri Gomez <hgomez@users.sourceforge.net> - 1:1.0-0.beta1.3jpp
- rebuild with correct ant (avoid corrupted archive)

* Fri Mar 07 2003 Henri Gomez <hgomez@users.sourceforge.net> - 1:1.0-0.beta1.2jpp
- replace servlet23 requirement by servlet4api

* Wed Feb 26 2003 Ville Skytt <ville.skytta at iki.fi> - 1:1.0-0.beta1.1jpp
- Update to 1.0 beta 1 (no code changes from cvs20030115).
- Fix requirements.

* Wed Jan 15 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0-1jpp
- 1.0 (cvs 20030115)
- first jPackage release
